Application Gateway Private Link Resources - List

Lists all private link resources on an application gateway.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/applicationGateways/{applicationGatewayName}/privateLinkResources?api-version=2025-05-01

URI Parameters

Name In Required Type Description
applicationGatewayName
path True

string

The name of the application gateway.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ApplicationGatewayPrivateLinkResourceListResult

Azure operation completed successfully.

Other Status Codes

Common.CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/applicationGateways/appgw/privateLinkResources?api-version=2025-05-01

Sample response

{
  "value": [
    {
      "name": "privateLink1",
      "type": "Microsoft.Network/applicationGateways/privateLinkResources",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/applicationGateways/appgw/privateLinkResources/privateLink1",
      "properties": {
        "groupId": "privateLink1",
        "requiredMembers": [
          "privateLink1"
        ],
        "requiredZoneNames": []
      }
    }
  ]
}

Definitions

Name Description
ApplicationGatewayPrivateLinkResource

PrivateLink Resource of an application gateway.

ApplicationGatewayPrivateLinkResourceListResult

The response of a ApplicationGatewayPrivateLinkResource list operation.

Common.CloudError

An error response from the service.

Common.CloudErrorBody

An error response from the service.

ApplicationGatewayPrivateLinkResource

PrivateLink Resource of an application gateway.

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

name

string

Name of the private link resource that is unique within an Application Gateway.

properties.groupId

string

Group identifier of private link resource.

properties.requiredMembers

string[]

Required member names of private link resource.

properties.requiredZoneNames

string[]

Required DNS zone names of the the private link resource.

type

string

Type of the resource.

ApplicationGatewayPrivateLinkResourceListResult

The response of a ApplicationGatewayPrivateLinkResource list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

ApplicationGatewayPrivateLinkResource[]

The ApplicationGatewayPrivateLinkResource items on this page

Common.CloudError

An error response from the service.

Name Type Description
error

Common.CloudErrorBody

Cloud error body.

Common.CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

Common.CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.